menuconfig LASERTAG_UTILS
    bool "Lasertag Utilities"
    select SETTINGS
    select FLASH
    select NVS
    help
      Enable shared logic for all lasertag devices (Vest, Weapon, Leader).

if LASERTAG_UTILS

    config LASERTAG_UTILS_WD_TIMEOUT
        int "Watchdog Timeout (ms)"
        range 1000 60000
        default 5000
        help
          Set the timeout for the lasertag utility watchdog timer.
          Minimum is 1000 ms, maximum is 60000 ms (1 minute). Default is 5000 ms (5 seconds).

    config LASERTAG_SHELL
        bool "Enable Lasertag Shell Commands"
        default y
        depends on SHELL
        help
          Provides commands like 'lasertag name' and 'lasertag reboot'.
    
    # Logging configuration for the Lasertag Utilities module
    module = LASERTAG_UTILS
    module-str = lt_utils
    source "subsys/logging/Kconfig.template.log_config"
endif
